Summary:	Traces the route taken by packets over an IPv4/IPv6 network
Name:		traceroute
Version:	2.1.0
Release:	3
License:	GPLv2+
Group:		Monitoring
Url:		http://traceroute.sourceforge.net/
Source0:	https://sourceforge.net/projects/traceroute/files/traceroute/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:		traceroute-2.0.21-optflags.patch

%description
New implementation of the traceroute utility for modern Linux systems.
Backward compatible with the traditional traceroute. Supports both IPv4
and IPv6, additional types of trace (including TCP), allows some traces
for unprivileged users.

The traceroute utility displays the route used by IP packets on their
way to a specified network (or Internet) host.Traceroute displays
the IP number and host name (if possible) of the machines along the
route taken by the packets.Traceroute is used as a network debugging
tool.If you're having network connectivity problems, traceroute will
show you where the trouble is coming from along the route.

Install traceroute if you need a tool for diagnosing network connectivity
problems.

%files
%doc README TODO CREDITS
%{_bindir}/*
%{_mandir}/man8/*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%makeinstall_std prefix=%{_prefix} bindir=%{_bindir} mandir=%{_mandir}

install -d %{buildroot}%{_bindir}
install -m755 wrappers/tcptraceroute %{buildroot}%{_bindir}

install -d %{buildroot}%{_mandir}/man8
install -p -m644 traceroute/traceroute.8 %{buildroot}%{_mandir}/man8
pushd %{buildroot}%{_mandir}/man8
ln -s traceroute.8 tcptraceroute.8
popd

%changelog

* Fri Jul 15 2016 Denis Silakov <dsilakov@gmail.com> 2.1.0-3
- (f6ca9a1) Fix man pages


